%define libname_orig    libbtrfs
%define major           0
%define libname         %mklibname btrfs %{major}
%define develname       %mklibname btrfs -d

%define snapshot 20130705
Name:		btrfs-progs
Version:    0.20
Release:    0.rc1.%{snapshot}.1
Summary:	Userspace programs for btrfs

Group:		System/Kernel and hardware
License:	GPLv2
URL:		http://btrfs.wiki.kernel.org/
#Source0:        http://www.kernel.org/pub/linux/kernel/people/mason/btrfs/%{name}-%{version}.tar.bz2
# git archive --prefix=btrfs-progs/ origin/master | xz > btrfs-progs-0.19-20120328.tar.xz
Source0:        %{name}-%{version}-rc1-%{snapshot}.tar.xz
# From http://www.spinics.net/lists/linux-btrfs/msg15899.html
Source1:        btrfs-completion.sh

BuildRequires:	pkgconfig(ext2fs)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	acl-devel
BuildRequires:  pkgconfig(blkid)
BuildRequires:  liblzo-devel

Requires:       %{libname_orig} = %{version}-%{release}

%description
The btrfs-progs package provides all the userpsace programs needed to create,
check, modify and correct any inconsistencies in the btrfs filesystem.

%package -n     %{libname}
Summary:        Main library for btrfs
Group:          System/Libraries
Provides:       %{libname_orig} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with btrfs

%package -n     %{develname}
Summary:        Headers for developing programs that will use btrfs
Group:          Development/C 
Requires:       %{libname} = %{version}
Provides:       %{libname_orig}-devel = %{version}-%{release}
Provides:       btrfs-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use btrfs

%prep
%setup -q -n %{name}
%apply_patches

%build
%make CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
%makeinstall bindir=%{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_datadir}/bash-completion/completions
cp %{SOURCE1} %{buildroot}%{_datadir}/bash-completion/completions/btrfs
ln -sv %{_sbindir}/btrfsck %{buildroot}%{_sbindir}/fsck.btrfs
rm -f %{buildroot}%{_libdir}/*.a

%files
%doc COPYING INSTALL
%{_sbindir}/btrfs
%{_sbindir}/btrfs-convert
%{_sbindir}/btrfs-debug-tree
%{_sbindir}/btrfs-find-root
%{_sbindir}/btrfs-image
%{_sbindir}/btrfs-map-logical
%{_sbindir}/btrfs-zero-log
%{_sbindir}/btrfsck
%{_sbindir}/btrfstune
%{_sbindir}/btrfs-show-super
%{_sbindir}/fsck.btrfs
%{_sbindir}/mkfs.btrfs
%{_mandir}/man8/btrfs.8.*
%{_mandir}/man8/btrfs-image.8*
%{_mandir}/man8/btrfsck.8*
%{_mandir}/man8/mkfs.btrfs.8*
%{_datadir}/bash-completion/completions/btrfs

%files -n %{libname}
%{_libdir}/libbtrfs.so.%{major}*

%files -n %{develname}
%{_includedir}/btrfs/*
%{_libdir}/libbtrfs.so

%changelog
* Wed Oct 09 2013 akdengi <alexander.kazancev@rosalab.ru> 0.20-0.rc1.20130705.1
+ Revision: c74b3f0
- update to git screenshot 0.20 rc1


